## rivet 0.4.0-1

=== src/Makefile ===
# $Id: Makefile,v 1.4 2003/03/26 01:18:17 davidw Exp $

# Use make.tcl instead.

all:
	./make.tcl

=== debian/changelog ===
rivet (0.4.0-1) unstable; urgency=low

  * New upstream version.

 -- David N. Welton <davidw@debian.org>  Fri, 28 May 2004 22:44:16 +0200

rivet (0.3.0-1) unstable; urgency=low

  * New upstream version.
  * Bug fix: "apache complains about mod_rivet not compiled with -DEAPI",
    thanks to Massimo Manghi (Closes: #215111).

 -- David N. Welton <davidw@debian.org>  Fri,  6 Feb 2004 22:49:10 +0100

rivet (0.2.0-1) unstable; urgency=low

  * New upstream version.

 -- David N. Welton <davidw@debian.org>  Wed,  1 Oct 2003 11:27:44 +0200

rivet (0.1.2-1) unstable; urgency=low

  * New upstream version.

 -- David N. Welton <davidw@debian.org>  Mon,  7 Apr 2003 19:45:59 -0700

rivet (0.1.1-1) unstable; urgency=low

  * Initial Release.

 -- David N. Welton <davidw@debian.org>  Thu, 13 Feb 2003 00:26:50 -0800

=== debian/rules ===
#!/usr/bin/make -f

# $Id: rules,v 1.6 2003/08/30 13:53:10 davidw Exp $

TCL_VERSION=8.4

package=rivet

configs.tcl:
	( cd src ; tclsh$(TCL_VERSION) ./configure.tcl )

build: configs.tcl
	$(checkdir)
	( cd src ; ./make.tcl shared )
	touch build

clean:
	$(checkdir)
	-rm -f build
	( cd src ; rm -f *.so *.o *.a )
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	( cd src ; ./make.tcl install PREFIX=$(CURDIR)/debian/tmp/usr/lib LIBEXECDIR=$(CURDIR)/debian/tmp/usr/lib/apache/1.3/ )
	cp debian/500mod_rivet.info debian/tmp/usr/lib/apache/1.3/
	dh_installdocs doc/
	dh_installchangelogs
	dh_movefiles
	dh_strip
	dh_compress
	dh_fixperms
	find debian/tmp/ -name CVS | xargs rm -rf
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## rivet 0.5.0-3

=== Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
# top-level Makefile.am for Apache Rivet
#
# ...gets turned into a Makefile.in by automake
#
# $Id: Makefile.am,v 1.7 2005/03/24 10:29:15 davidw Exp $
#
#foreign -- need to set this somehow
srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/rivet
pkglibdir = $(libdir)/rivet
pkgincludedir = $(includedir)/rivet
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = powerpc-unknown-linux-gnu
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure ChangeLog \
	INSTALL TODO tclconfig/ChangeLog tclconfig/compile \
	tclconfig/config.guess tclconfig/config.sub tclconfig/depcomp \
	tclconfig/install-sh tclconfig/ltmain.sh tclconfig/missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/tclconfig/tcl.m4 \
	$(top_srcdir)/tclconfig/libtool.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run tar
APXS = 
APXS_CPPFLAGS = -DLINUX=22 -DEAPI -DTARGET="apache" -DHAVE_SET_DUMPABLE -DDB_DBM_HSEARCH=1 -DDEV_RANDOM=/dev/random -DUSE_HSREGEX -O1  -g -Wall -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
APXS_CPPFLAGS_SHLIB = -fPIC -DSHARED_MODULE
APXS_INCLUDES = -I/usr/include/apache-1.3
APXS_LDFLAGS = -shared
APXS_LD_SHLIB = gcc
APXS_LIBEXECDIR = /usr/lib/apache/1.3
APXS_LIBS = -lc -lm -lpthread -lcrypt -ldb -ldb -lexpat
APXS_PREFIX = /usr
APXS_SYSCONFDIR = /etc/apache
AR = ar
AUTOCONF = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run autoconf
AUTOHEADER = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run autoheader
AUTOMAKE = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run automake-1.8
AWK = gawk
CC = gcc -pipe
CCDEPMODE = depmode=gcc3
CELIB_DIR = 
CFLAGS =  ${CFLAGS_DEFAULT} ${CFLAGS_WARNING} ${SHLIB_CFLAGS}
CFLAGS_DEBUG = -g
CFLAGS_DEFAULT = -O2
CFLAGS_OPTIMIZE = -O2
CFLAGS_WARNING = -Wall -Wno-implicit-int
CLEANFILES = pkgIndex.tcl
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH = echo
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"Rivet\" -DPACKAGE_TARNAME=\"rivet\" -DPACKAGE_VERSION=\"0.5.0\" -DPACKAGE_STRING=\"Rivet\ 0.5.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"rivet\" -DVERSION=\"0.5.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DWORDS_BIGENDIAN=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_DLFCN_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_READDIR_R=1 -DTCL_THREADS=1 -D_ISOC99_SOURCE= -D_LARGEFILE64_SOURCE= -DTCL_WIDE_INT_TYPE=long\ long -DHAVE_STRUCT_STAT64=1 -DHAVE_TYPE_OFF64_T=1 -DNAMEOFEXECUTABLE=\"/usr/bin/tclsh8.4\" 
DEPDIR = .deps
DL_LIBS = -ldl
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -Wl,--export-dynamic
LDFLAGS_DEBUG = 
LDFLAGS_DEFAULT =  -Wl,--export-dynamic
LDFLAGS_OPTIMIZE = 
LD_LIBRARY_PATH_VAR = LD_LIBRARY_PATH
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = tclconfig/ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run makeinfo
MAKE_LIB = ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_FLAGS} ${SHLIB_LD_LIBS} 
MAKE_SHARED_LIB = ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_FLAGS} ${SHLIB_LD_LIBS}
MAKE_STATIC_LIB = ${STLIB_LD} $@ $(PKG_OBJECTS)
MAKE_STUB_LIB = ${STLIB_LD} $@ $(PKG_STUB_OBJECTS)
MATH_LIBS = -lieee -lm
OBJEXT = o
PACKAGE = rivet
PACKAGE_BUGREPORT = 
PACKAGE_NAME = Rivet
PACKAGE_STRING = Rivet 0.5.0
PACKAGE_TARNAME = rivet
PACKAGE_VERSION = 0.5.0
PATH_SEPARATOR = :
PKG_CFLAGS =  
PKG_HEADERS =  src/TclWeb.h src/apache_multipart_buffer.h src/apache_request.h src/mod_rivet.h src/rivet.h src/rivetChannel.h src/rivetParser.h
PKG_INCLUDES = 
PKG_LIBS = 
PKG_LIB_FILE = libRivet0.5.0.so
PKG_OBJECTS =  TclWebcgi.o TclWebapache.o apache_multipart_buffer.o apache_request.o mod_rivet.o parserPkgInit.o rivetChannel.o rivetCore.o rivetCrypt.o rivetList.o rivetParser.o rivetPkgInit.o rivetWWW.o nmakehlp.o testing.o
PKG_SOURCES =  src/TclWebcgi.c src/TclWebapache.c src/apache_multipart_buffer.c src/apache_request.c src/mod_rivet.c src/parserPkgInit.c src/rivetChannel.c src/rivetCore.c src/rivetCrypt.c src/rivetList.c src/rivetParser.c src/rivetPkgInit.c src/rivetWWW.c win/nmakehlp.c src/testing.c
PKG_STUB_LIB_FILE = libRivetstub0.5.0.a
PKG_STUB_OBJECTS = 
PKG_STUB_SOURCES = 
PKG_TCL_SOURCES = 
RANLIB = :
RANLIB_STUB = ranlib
SET_MAKE = 
SHARED_BUILD = 1
SHELL = /bin/bash
SHLIB_CFLAGS = -fPIC
SHLIB_LD = gcc -pipe -shared
SHLIB_LD_FLAGS = 
SHLIB_LD_LIBS = ${LIBS} -L/usr/lib -ltclstub8.4
STLIB_LD = ${AR} cr
STRIP = strip
TCLSH_PROG = /usr/bin/tclsh8.4
TCL_BIN_DIR = /usr/lib/tcl8.4
TCL_DBGX = 
TCL_DEFS =  -DTCL_THREADS=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_PTHREAD_ATFORK=1 -DHAVE_READDIR_R=1 -DHAVE_THREE_ARG_READDIR_R=1 -DPEEK_XCLOSEIM=1 -D_LARGEFILE64_SOURCE=1 -DTCL_WIDE_INT_TYPE=long\ long -DHAVE_STRUCT_STAT64=1 -DHAVE_OPEN64=1 -DHAVE_LSEEK64=1 -DHAVE_TYPE_OFF64_T=1 -DWORDS_BIGENDIAN=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRSTR=1 -DHAVE_STRTOL=1 -DHAVE_STRTOLL=1 -DHAVE_STRTOULL=1 -DHAVE_TMPNAM=1 -DHAVE_WAITPID=1 -DHAVE_LIMITS_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_TM_ZONE=1 -DHAVE_GMTIME_R=1 -DHAVE_LOCALTIME_R=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_ST_BLKSIZE=1 -DSTDC_HEADERS=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_LANGINFO=1 -DHAVE_SYS_IOCTL_H=1 
TCL_EXTRA_CFLAGS = 
TCL_INCLUDES = -I"/usr/include/tcl8.4/tcl-private/generic"
TCL_LD_FLAGS =  -Wl,--export-dynamic
TCL_LIBS = ${DL_LIBS} ${LIBS} ${MATH_LIBS}
TCL_LIB_FILE = libtcl8.4.so
TCL_LIB_FLAG = -ltcl8.4
TCL_LIB_SPEC = -L/usr/lib -ltcl8.4
TCL_PACKAGE_PATH = /usr/lib
TCL_SHLIB_LD_LIBS = ${LIBS}
TCL_SRC_DIR = /usr/include/tcl8.4/tcl-private
TCL_STUB_LIB_FILE = libtclstub8.4.a
TCL_STUB_LIB_FLAG = -ltclstub8.4
TCL_STUB_LIB_SPEC = -L/usr/lib -ltclstub8.4
TCL_THREADS = 1
TCL_VERSION = 8.4
VERSION = 0.5.0
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = powerpc-unknown-linux-gnu
build_alias = 
build_cpu = powerpc
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = /usr
host = powerpc-unknown-linux-gnu
host_alias = 
host_cpu = powerpc
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/davidw/debian/rivet-0.5.0/tclconfig/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = LICENSE contrib debian doc rivet win/nmakehlp.c src/testing.c src/TclWebcgi.c
SUBDIRS = src doc
all: all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \

=== doc/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile for Rivet documentation

# Copyright 2004-2005 The Apache Software Foundation

# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

#	http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/rivet
pkglibdir = $(libdir)/rivet
pkgincludedir = $(includedir)/rivet
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = powerpc-unknown-linux-gnu
subdir = doc
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/tclconfig/tcl.m4 \
	$(top_srcdir)/tclconfig/libtool.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run tar
APXS = 
APXS_CPPFLAGS = -DLINUX=22 -DEAPI -DTARGET="apache" -DHAVE_SET_DUMPABLE -DDB_DBM_HSEARCH=1 -DDEV_RANDOM=/dev/random -DUSE_HSREGEX -O1  -g -Wall -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
APXS_CPPFLAGS_SHLIB = -fPIC -DSHARED_MODULE
APXS_INCLUDES = -I/usr/include/apache-1.3
APXS_LDFLAGS = -shared
APXS_LD_SHLIB = gcc
APXS_LIBEXECDIR = /usr/lib/apache/1.3
APXS_LIBS = -lc -lm -lpthread -lcrypt -ldb -ldb -lexpat
APXS_PREFIX = /usr
APXS_SYSCONFDIR = /etc/apache
AR = ar
AUTOCONF = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run autoconf
AUTOHEADER = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run autoheader
AUTOMAKE = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run automake-1.8
AWK = gawk
CC = gcc -pipe
CCDEPMODE = depmode=gcc3
CELIB_DIR = 
CFLAGS =  ${CFLAGS_DEFAULT} ${CFLAGS_WARNING} ${SHLIB_CFLAGS}
CFLAGS_DEBUG = -g
CFLAGS_DEFAULT = -O2
CFLAGS_OPTIMIZE = -O2
CFLAGS_WARNING = -Wall -Wno-implicit-int
CLEANFILES = pkgIndex.tcl
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH = echo
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"Rivet\" -DPACKAGE_TARNAME=\"rivet\" -DPACKAGE_VERSION=\"0.5.0\" -DPACKAGE_STRING=\"Rivet\ 0.5.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"rivet\" -DVERSION=\"0.5.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DWORDS_BIGENDIAN=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_DLFCN_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_READDIR_R=1 -DTCL_THREADS=1 -D_ISOC99_SOURCE= -D_LARGEFILE64_SOURCE= -DTCL_WIDE_INT_TYPE=long\ long -DHAVE_STRUCT_STAT64=1 -DHAVE_TYPE_OFF64_T=1 -DNAMEOFEXECUTABLE=\"/usr/bin/tclsh8.4\" 
DEPDIR = .deps
DL_LIBS = -ldl
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -Wl,--export-dynamic
LDFLAGS_DEBUG = 
LDFLAGS_DEFAULT =  -Wl,--export-dynamic
LDFLAGS_OPTIMIZE = 
LD_LIBRARY_PATH_VAR = LD_LIBRARY_PATH
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = tclconfig/ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run makeinfo
MAKE_LIB = ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_FLAGS} ${SHLIB_LD_LIBS} 
MAKE_SHARED_LIB = ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_FLAGS} ${SHLIB_LD_LIBS}
MAKE_STATIC_LIB = ${STLIB_LD} $@ $(PKG_OBJECTS)
MAKE_STUB_LIB = ${STLIB_LD} $@ $(PKG_STUB_OBJECTS)
MATH_LIBS = -lieee -lm
OBJEXT = o
PACKAGE = rivet
PACKAGE_BUGREPORT = 
PACKAGE_NAME = Rivet
PACKAGE_STRING = Rivet 0.5.0
PACKAGE_TARNAME = rivet
PACKAGE_VERSION = 0.5.0
PATH_SEPARATOR = :
PKG_CFLAGS =  
PKG_HEADERS =  src/TclWeb.h src/apache_multipart_buffer.h src/apache_request.h src/mod_rivet.h src/rivet.h src/rivetChannel.h src/rivetParser.h
PKG_INCLUDES = 
PKG_LIBS = 
PKG_LIB_FILE = libRivet0.5.0.so
PKG_OBJECTS =  TclWebcgi.o TclWebapache.o apache_multipart_buffer.o apache_request.o mod_rivet.o parserPkgInit.o rivetChannel.o rivetCore.o rivetCrypt.o rivetList.o rivetParser.o rivetPkgInit.o rivetWWW.o nmakehlp.o testing.o
PKG_SOURCES =  src/TclWebcgi.c src/TclWebapache.c src/apache_multipart_buffer.c src/apache_request.c src/mod_rivet.c src/parserPkgInit.c src/rivetChannel.c src/rivetCore.c src/rivetCrypt.c src/rivetList.c src/rivetParser.c src/rivetPkgInit.c src/rivetWWW.c win/nmakehlp.c src/testing.c
PKG_STUB_LIB_FILE = libRivetstub0.5.0.a
PKG_STUB_OBJECTS = 
PKG_STUB_SOURCES = 
PKG_TCL_SOURCES = 
RANLIB = :
RANLIB_STUB = ranlib
SET_MAKE = 
SHARED_BUILD = 1
SHELL = /bin/bash
SHLIB_CFLAGS = -fPIC
SHLIB_LD = gcc -pipe -shared
SHLIB_LD_FLAGS = 
SHLIB_LD_LIBS = ${LIBS} -L/usr/lib -ltclstub8.4
STLIB_LD = ${AR} cr
STRIP = strip
TCLSH_PROG = /usr/bin/tclsh8.4
TCL_BIN_DIR = /usr/lib/tcl8.4
TCL_DBGX = 
TCL_DEFS =  -DTCL_THREADS=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_PTHREAD_ATFORK=1 -DHAVE_READDIR_R=1 -DHAVE_THREE_ARG_READDIR_R=1 -DPEEK_XCLOSEIM=1 -D_LARGEFILE64_SOURCE=1 -DTCL_WIDE_INT_TYPE=long\ long -DHAVE_STRUCT_STAT64=1 -DHAVE_OPEN64=1 -DHAVE_LSEEK64=1 -DHAVE_TYPE_OFF64_T=1 -DWORDS_BIGENDIAN=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRSTR=1 -DHAVE_STRTOL=1 -DHAVE_STRTOLL=1 -DHAVE_STRTOULL=1 -DHAVE_TMPNAM=1 -DHAVE_WAITPID=1 -DHAVE_LIMITS_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_TM_ZONE=1 -DHAVE_GMTIME_R=1 -DHAVE_LOCALTIME_R=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_ST_BLKSIZE=1 -DSTDC_HEADERS=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_LANGINFO=1 -DHAVE_SYS_IOCTL_H=1 
TCL_EXTRA_CFLAGS = 
TCL_INCLUDES = -I"/usr/include/tcl8.4/tcl-private/generic"
TCL_LD_FLAGS =  -Wl,--export-dynamic
TCL_LIBS = ${DL_LIBS} ${LIBS} ${MATH_LIBS}
TCL_LIB_FILE = libtcl8.4.so
TCL_LIB_FLAG = -ltcl8.4
TCL_LIB_SPEC = -L/usr/lib -ltcl8.4
TCL_PACKAGE_PATH = /usr/lib
TCL_SHLIB_LD_LIBS = ${LIBS}
TCL_SRC_DIR = /usr/include/tcl8.4/tcl-private
TCL_STUB_LIB_FILE = libtclstub8.4.a
TCL_STUB_LIB_FLAG = -ltclstub8.4
TCL_STUB_LIB_SPEC = -L/usr/lib -ltclstub8.4
TCL_THREADS = 1
TCL_VERSION = 8.4
VERSION = 0.5.0
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = powerpc-unknown-linux-gnu
build_alias = 
build_cpu = powerpc
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = /usr
host = powerpc-unknown-linux-gnu
host_alias = 
host_cpu = powerpc
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/davidw/debian/rivet-0.5.0/tclconfig/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"

=== src/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile for Rivet

# Copyright 2004-2005 The Apache Software Foundation

# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

#	http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# AM_CFLAGS = -I"/usr/include/tcl8.4/tcl-private/generic" @GM_CPPFLAGS@

SOURCES = $(librivet_la_SOURCES) $(librivetparser_la_SOURCES) $(mod_rivet_la_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/rivet
pkglibdir = $(libdir)/rivet
pkgincludedir = $(includedir)/rivet
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = powerpc-unknown-linux-gnu
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/tclconfig/tcl.m4 \
	$(top_srcdir)/tclconfig/libtool.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(apxs_libexecdir)" "$(DESTDIR)$(lib_libexecdir)"
apxs_libexecLTLIBRARIES_INSTALL = $(INSTALL)
lib_libexecLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(apxs_libexec_LTLIBRARIES) $(lib_libexec_LTLIBRARIES)
librivet_la_DEPENDENCIES =
am_librivet_la_OBJECTS = librivet_la-rivetList.lo \
	librivet_la-rivetCrypt.lo librivet_la-rivetWWW.lo \
	librivet_la-rivetPkgInit.lo
librivet_la_OBJECTS = $(am_librivet_la_OBJECTS)
librivetparser_la_DEPENDENCIES =
am_librivetparser_la_OBJECTS = librivetparser_la-rivetParser.lo \
	librivetparser_la-parserPkgInit.lo
librivetparser_la_OBJECTS = $(am_librivetparser_la_OBJECTS)
mod_rivet_la_DEPENDENCIES =
am_mod_rivet_la_OBJECTS = mod_rivet_la-apache_multipart_buffer.lo \
	mod_rivet_la-apache_request.lo mod_rivet_la-rivetChannel.lo \
	mod_rivet_la-rivetParser.lo mod_rivet_la-rivetCore.lo \
	mod_rivet_la-mod_rivet.lo mod_rivet_la-TclWebapache.lo
mod_rivet_la_OBJECTS = $(am_mod_rivet_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/tclconfig/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/librivet_la-rivetCrypt.Plo \
	./$(DEPDIR)/librivet_la-rivetList.Plo \
	./$(DEPDIR)/librivet_la-rivetPkgInit.Plo \
	./$(DEPDIR)/librivet_la-rivetWWW.Plo \
	./$(DEPDIR)/librivetparser_la-parserPkgInit.Plo \
	./$(DEPDIR)/librivetparser_la-rivetParser.Plo \
	./$(DEPDIR)/mod_rivet_la-TclWebapache.Plo \
	./$(DEPDIR)/mod_rivet_la-apache_multipart_buffer.Plo \
	./$(DEPDIR)/mod_rivet_la-apache_request.Plo \
	./$(DEPDIR)/mod_rivet_la-mod_rivet.Plo \
	./$(DEPDIR)/mod_rivet_la-rivetChannel.Plo \
	./$(DEPDIR)/mod_rivet_la-rivetCore.Plo \
	./$(DEPDIR)/mod_rivet_la-rivetParser.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(librivet_la_SOURCES) $(librivetparser_la_SOURCES) \
	$(mod_rivet_la_SOURCES)
DIST_SOURCES = $(librivet_la_SOURCES) $(librivetparser_la_SOURCES) \
	$(mod_rivet_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run tar
APXS = 
APXS_CPPFLAGS = -DLINUX=22 -DEAPI -DTARGET="apache" -DHAVE_SET_DUMPABLE -DDB_DBM_HSEARCH=1 -DDEV_RANDOM=/dev/random -DUSE_HSREGEX -O1  -g -Wall -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
APXS_CPPFLAGS_SHLIB = -fPIC -DSHARED_MODULE
APXS_INCLUDES = -I/usr/include/apache-1.3
APXS_LDFLAGS = -shared
APXS_LD_SHLIB = gcc
APXS_LIBEXECDIR = /usr/lib/apache/1.3
APXS_LIBS = -lc -lm -lpthread -lcrypt -ldb -ldb -lexpat
APXS_PREFIX = /usr
APXS_SYSCONFDIR = /etc/apache
AR = ar
AUTOCONF = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run autoconf
AUTOHEADER = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run autoheader
AUTOMAKE = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run automake-1.8
AWK = gawk
CC = gcc -pipe
CCDEPMODE = depmode=gcc3
CELIB_DIR = 
CFLAGS =  ${CFLAGS_DEFAULT} ${CFLAGS_WARNING} ${SHLIB_CFLAGS}
CFLAGS_DEBUG = -g
CFLAGS_DEFAULT = -O2
CFLAGS_OPTIMIZE = -O2
CFLAGS_WARNING = -Wall -Wno-implicit-int
CLEANFILES = pkgIndex.tcl
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH = echo
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"Rivet\" -DPACKAGE_TARNAME=\"rivet\" -DPACKAGE_VERSION=\"0.5.0\" -DPACKAGE_STRING=\"Rivet\ 0.5.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"rivet\" -DVERSION=\"0.5.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DWORDS_BIGENDIAN=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_DLFCN_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_READDIR_R=1 -DTCL_THREADS=1 -D_ISOC99_SOURCE= -D_LARGEFILE64_SOURCE= -DTCL_WIDE_INT_TYPE=long\ long -DHAVE_STRUCT_STAT64=1 -DHAVE_TYPE_OFF64_T=1 -DNAMEOFEXECUTABLE=\"/usr/bin/tclsh8.4\" 
DEPDIR = .deps
DL_LIBS = -ldl
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -Wl,--export-dynamic
LDFLAGS_DEBUG = 
LDFLAGS_DEFAULT =  -Wl,--export-dynamic
LDFLAGS_OPTIMIZE = 
LD_LIBRARY_PATH_VAR = LD_LIBRARY_PATH
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = tclconfig/ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/davidw/debian/rivet-0.5.0/tclconfig/missing --run makeinfo
MAKE_LIB = ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_FLAGS} ${SHLIB_LD_LIBS} 
MAKE_SHARED_LIB = ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_FLAGS} ${SHLIB_LD_LIBS}
MAKE_STATIC_LIB = ${STLIB_LD} $@ $(PKG_OBJECTS)
MAKE_STUB_LIB = ${STLIB_LD} $@ $(PKG_STUB_OBJECTS)
MATH_LIBS = -lieee -lm
OBJEXT = o
PACKAGE = rivet
PACKAGE_BUGREPORT = 
PACKAGE_NAME = Rivet
PACKAGE_STRING = Rivet 0.5.0
PACKAGE_TARNAME = rivet
PACKAGE_VERSION = 0.5.0
PATH_SEPARATOR = :
PKG_CFLAGS =  
PKG_HEADERS =  src/TclWeb.h src/apache_multipart_buffer.h src/apache_request.h src/mod_rivet.h src/rivet.h src/rivetChannel.h src/rivetParser.h
PKG_INCLUDES = 
PKG_LIBS = 
PKG_LIB_FILE = libRivet0.5.0.so
PKG_OBJECTS =  TclWebcgi.o TclWebapache.o apache_multipart_buffer.o apache_request.o mod_rivet.o parserPkgInit.o rivetChannel.o rivetCore.o rivetCrypt.o rivetList.o rivetParser.o rivetPkgInit.o rivetWWW.o nmakehlp.o testing.o
PKG_SOURCES =  src/TclWebcgi.c src/TclWebapache.c src/apache_multipart_buffer.c src/apache_request.c src/mod_rivet.c src/parserPkgInit.c src/rivetChannel.c src/rivetCore.c src/rivetCrypt.c src/rivetList.c src/rivetParser.c src/rivetPkgInit.c src/rivetWWW.c win/nmakehlp.c src/testing.c
PKG_STUB_LIB_FILE = libRivetstub0.5.0.a
PKG_STUB_OBJECTS = 
PKG_STUB_SOURCES = 
PKG_TCL_SOURCES = 
RANLIB = :
RANLIB_STUB = ranlib
SET_MAKE = 
SHARED_BUILD = 1
SHELL = /bin/bash
SHLIB_CFLAGS = -fPIC
SHLIB_LD = gcc -pipe -shared
SHLIB_LD_FLAGS = 
SHLIB_LD_LIBS = ${LIBS} -L/usr/lib -ltclstub8.4
STLIB_LD = ${AR} cr
STRIP = strip
TCLSH_PROG = /usr/bin/tclsh8.4
TCL_BIN_DIR = /usr/lib/tcl8.4
TCL_DBGX = 
TCL_DEFS =  -DTCL_THREADS=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_PTHREAD_ATFORK=1 -DHAVE_READDIR_R=1 -DHAVE_THREE_ARG_READDIR_R=1 -DPEEK_XCLOSEIM=1 -D_LARGEFILE64_SOURCE=1 -DTCL_WIDE_INT_TYPE=long\ long -DHAVE_STRUCT_STAT64=1 -DHAVE_OPEN64=1 -DHAVE_LSEEK64=1 -DHAVE_TYPE_OFF64_T=1 -DWORDS_BIGENDIAN=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRSTR=1 -DHAVE_STRTOL=1 -DHAVE_STRTOLL=1 -DHAVE_STRTOULL=1 -DHAVE_TMPNAM=1 -DHAVE_WAITPID=1 -DHAVE_LIMITS_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_TM_ZONE=1 -DHAVE_GMTIME_R=1 -DHAVE_LOCALTIME_R=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_ST_BLKSIZE=1 -DSTDC_HEADERS=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_LANGINFO=1 -DHAVE_SYS_IOCTL_H=1 
TCL_EXTRA_CFLAGS = 
TCL_INCLUDES = -I"/usr/include/tcl8.4/tcl-private/generic"
TCL_LD_FLAGS =  -Wl,--export-dynamic
TCL_LIBS = ${DL_LIBS} ${LIBS} ${MATH_LIBS}
TCL_LIB_FILE = libtcl8.4.so
TCL_LIB_FLAG = -ltcl8.4
TCL_LIB_SPEC = -L/usr/lib -ltcl8.4
TCL_PACKAGE_PATH = /usr/lib
TCL_SHLIB_LD_LIBS = ${LIBS}
TCL_SRC_DIR = /usr/include/tcl8.4/tcl-private
TCL_STUB_LIB_FILE = libtclstub8.4.a
TCL_STUB_LIB_FLAG = -ltclstub8.4
TCL_STUB_LIB_SPEC = -L/usr/lib -ltclstub8.4
TCL_THREADS = 1
TCL_VERSION = 8.4
VERSION = 0.5.0
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = powerpc-unknown-linux-gnu
build_alias = 
build_cpu = powerpc
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = /usr
host = powerpc-unknown-linux-gnu
host_alias = 
host_cpu = powerpc
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/davidw/debian/rivet-0.5.0/tclconfig/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

# The weird and wild magic of auto* associates these two.
apxs_libexecdir = /usr/lib/apache/1.3
apxs_libexec_LTLIBRARIES = mod_rivet.la

# ... and these two.  We want to put the libs in the package path,
# rather than the standard library location for the system.
lib_libexecdir = /usr/lib/rivet
lib_libexec_LTLIBRARIES = librivet.la librivetparser.la

#
# Apache Rivet Module, mod_rivet.so / mod_rivet.dll
#
mod_rivet_la_SOURCES = apache_multipart_buffer.c apache_request.c	\
rivetChannel.c rivetChannel.h rivetParser.c rivetParser.h rivetCore.c	\
mod_rivet.c TclWebapache.c mod_rivet.h TclWeb.h rivet.h			\
apache_multipart_buffer.h apache_request.h

mod_rivet_la_LDFLAGS = -L/usr/lib -ltcl8.4 -shared -no-undefined -module -avoid-version

=== debian/changelog ===
rivet (0.5.0-3) unstable; urgency=low

  * Bug fix: "rivet: 64-bit compile warnings", thanks to dann frazier
    (Closes: #307339).

 -- David N. Welton <davidw@debian.org>  Wed,  4 May 2005 10:13:50 +0200

rivet (0.5.0-2) unstable; urgency=low

  * Added a dependency on Apache.  Added .info file.  Added some automatic
    configuration files.

 -- David N. Welton <davidw@debian.org>  Sat, 30 Apr 2005 10:37:09 +0200

rivet (0.5.0-1) unstable; urgency=low

  * New upstream version.

 -- David N. Welton <davidw@debian.org>  Thu, 24 Mar 2005 10:45:27 +0100

=== debian/control ===
Source: rivet
Maintainer: David N. Welton <davidw@debian.org>
Build-Depends: apache-dev, tcl8.4, tcl8.4-dev, debhelper (>> 3.0.0)
Section: web
Priority: optional
Standards-Version: 3.5.8

Package: rivet
Architecture: any
Depends: ${shlibs:Depends}, apache
Description: Server-side Tcl programming system combining ease of use and power
 Apache Rivet is a system for creating dynamic web content via a
 programming language integrated with Apache Web Server. It is
 designed to be fast, powerful and extensible, consume few system
 resources, be easy to learn, and to provide the user with a platform
 that can also be used for other programming tasks outside the web
 (GUI's, system administration tasks, text processing, database
 manipulation, XML, and so on). In order to meet these goals, we have
 chosen the Tcl programming language to combine with the Apache Web
 Server.

=== debian/rules ===
#!/usr/bin/make -f

# $Id: rules,v 1.8 2005/03/24 10:29:15 davidw Exp $

TCL_VERSION=8.4

package=rivet

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --with-tcl=/usr/lib/tcl$(TCL_VERSION)/ --with-apxs=/usr/bin/apxs --enable-threads  --with-tclsh=/usr/bin/tclsh$(TCL_VERSION)
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cp debian/500mod_rivet.info \
                debian/tmp/`apxs -q LIBEXECDIR`/500mod_rivet.info
	cp debian/rivet.conf \
                debian/tmp/etc/apache/conf.d/rivet.conf


binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs doc/*
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
